import { RouterService, StorageService } from '@lightweightform/core';
export interface Action {
    name: string;
    style?: string;
    icon?: string;
    callback: () => void;
}
export declare class TopBarComponent {
    protected _routerService: RouterService;
    protected _storageService: StorageService;
    private _actions;
    constructor(_routerService: RouterService, _storageService: StorageService);
    readonly rootUrl: string;
    readonly actions: Action[];
    readonly appHasPendingValidation: boolean;
    readonly shouldShowAppRecompute: boolean;
    recomputeAppStateProperties(): void;
}
