import { RouterService, ToggleableController } from '@lightweightform/core';
import { ValidationError, ValidationErrors } from '@lightweightform/storage';
import { ValidationMessagesService } from '../../services/validation-messages.service';
export declare class ValidationPanelComponent extends ToggleableController {
    private _routerService;
    validationMessagesService: ValidationMessagesService;
    _validationErrors: ValidationErrors;
    isPending: boolean;
    private _currentPath;
    constructor(_routerService: RouterService, validationMessagesService: ValidationMessagesService);
    readonly currentPath: string;
    readonly hasNext: boolean;
    next(): void;
    readonly hasPrevious: boolean;
    previous(): void;
    readonly errors: ValidationError[];
    readonly warnings: ValidationError[];
    readonly formHasNoErrors: boolean;
    readonly panelType: string;
    private readonly _pages;
}
